Main Page Widgets Namespaces Book

# Gtk::VScrollbar Class Reference
[Widgets]

A vertical scrollbar. More...

Inheritance diagram for Gtk::VScrollbar:

[legend]
List of all members.

## Public Methods
virtual | ~VScrollbar ()
GtkVScrollbar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkVScrollbar* | gobj () const
| Provides access to the underlying C GtkObject.
| VScrollbar ()
| VScrollbar (Adjustment& gtkadjustment)
## Related Functions
(Note that these are not member functions.)
Gtk::VScrollbar* | wrap (GtkVScrollbar* object, bool take_copy=false)

## Detailed Description

A vertical scrollbar.

The Gtk::VScrollbar widget is a widget arranged vertically creating a scrollbar. See Gtk::Scrollbar for details on scrollbars.

A Gtk::Adjustment may may be passed to the constructor to handle the adjustment of the scrollbar. If not specified, one will be created for you. See Gtk::Adjustment for details.

## Constructor & Destructor Documentation

virtual Gtk::VScrollbar::~VScrollbar | ( |  | ) | `[virtual]`

Gtk::VScrollbar::VScrollbar | ( |  | ) |

Gtk::VScrollbar::VScrollbar | ( | Adjustment& | gtkadjustment | ) | `[explicit]`

## Member Function Documentation

const GtkVScrollbar* Gtk::VScrollbar::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Scrollbar.

GtkVScrollbar* Gtk::VScrollbar::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Scrollbar.

## Friends And Related Function Documentation

Gtk::VScrollbar* wrap | ( | GtkVScrollbar* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- scrollbar.h